public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Marco Leise" <marco.leise@gmx.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/user/dlang:master commit in: dev-lang/ldc2/
Date: Sat, 15 Aug 2020 01:50:05 +0000 (UTC)	[thread overview]
Message-ID: <1597455274.97ad37cb061d6c879bcf49e2731cefce98bfe4ed.mleise@gentoo> (raw)

commit:     97ad37cb061d6c879bcf49e2731cefce98bfe4ed
Author:     Marco Leise <marco.leise <AT> gmx <DOT> de>
AuthorDate: Fri Aug 14 17:31:32 2020 +0000
Commit:     Marco Leise <marco.leise <AT> gmx <DOT> de>
CommitDate: Sat Aug 15 01:34:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/user/dlang.git/commit/?id=97ad37cb

Moved remaining ldc2 ebuilds to EAPI=7 and all of them from the legacy eclass cmake-util to cmake.

Signed-off-by: Marco Leise <marco.leise <AT> gmx.de>

 dev-lang/ldc2/ldc2-1.18.0-r1.ebuild | 76 +++++++++++++++++++++++++++++++++++++
 dev-lang/ldc2/ldc2-1.19.0-r1.ebuild | 75 ++++++++++++++++++++++++++++++++++++
 dev-lang/ldc2/ldc2-1.20.1-r1.ebuild | 76 +++++++++++++++++++++++++++++++++++++
 dev-lang/ldc2/ldc2-1.21.0-r1.ebuild | 76 +++++++++++++++++++++++++++++++++++++
 4 files changed, 303 insertions(+)

diff --git a/dev-lang/ldc2/ldc2-1.18.0-r1.ebuild b/dev-lang/ldc2/ldc2-1.18.0-r1.ebuild
new file mode 100644
index 0000000..5229a08
--- /dev/null
+++ b/dev-lang/ldc2/ldc2-1.18.0-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-build cmake llvm
+
+MY_PV="${PV//_/-}"
+MY_P="ldc-${MY_PV}-src"
+SRC_URI="https://github.com/ldc-developers/ldc/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="LLVM D Compiler"
+HOMEPAGE="https://ldc-developers.github.com/ldc"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
+
+IUSE="static-libs"
+
+# We support LLVM 3.9 through 9.
+RDEPEND="|| (
+		sys-devel/llvm:9
+	)
+	<sys-devel/llvm-10:=
+	>=app-eselect/eselect-dlang-20140709"
+DEPEND="${RDEPEND}"
+LLVM_MAX_SLOT=9
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch\
+	${FILESDIR}/ldc2-1.18.0-FileCheck-not.patch"
+
+# For now, we support amd64 multilib. Anyone is free to add more support here.
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+DLANG_VERSION_RANGE="2.068 2.071-"
+DLANG_PACKAGE_TYPE="single"
+
+inherit dlang
+
+detect_hardened() {
+	gcc --version | grep -o Hardened
+}
+
+src_prepare() {
+	cmake_src_prepare
+}
+
+d_src_configure() {
+	# Make sure libphobos2 is installed into ldc2's directory.
+	export LIBDIR_${ABI}="${LIBDIR_HOST}"
+	local mycmakeargs=(
+		-DD_VERSION=2
+		-DCMAKE_INSTALL_PREFIX=/usr/lib/ldc2/$(ver_cut 1-2)
+		-DD_COMPILER="${DMD}"
+		-DLDC_WITH_LLD=OFF
+	)
+	use static-libs && mycmakeargs+=( -DBUILD_SHARED_LIBS=BOTH ) || mycmakeargs+=( -DBUILD_SHARED_LIBS=ON )
+	use abi_x86_32 && use abi_x86_64 && mycmakeargs+=( -DMULTILIB=ON )
+	detect_hardened && mycmakeargs+=( -DADDITIONAL_DEFAULT_LDC_SWITCHES=', "-relocation-model=pic"' )
+	cmake_src_configure
+}
+
+d_src_install() {
+	cmake_src_install
+
+	rm -rf "${ED}"/usr/share/bash-completion
+}
+
+pkg_postinst() {
+	# Update active ldc2
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}
+
+pkg_postrm() {
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}

diff --git a/dev-lang/ldc2/ldc2-1.19.0-r1.ebuild b/dev-lang/ldc2/ldc2-1.19.0-r1.ebuild
new file mode 100644
index 0000000..e39c89a
--- /dev/null
+++ b/dev-lang/ldc2/ldc2-1.19.0-r1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-build cmake llvm
+
+MY_PV="${PV//_/-}"
+MY_P="ldc-${MY_PV}-src"
+SRC_URI="https://github.com/ldc-developers/ldc/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="LLVM D Compiler"
+HOMEPAGE="https://ldc-developers.github.com/ldc"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
+
+IUSE="static-libs"
+
+# We support LLVM 3.9 through 9.
+RDEPEND="|| (
+		sys-devel/llvm:9
+	)
+	<sys-devel/llvm-10:=
+	>=app-eselect/eselect-dlang-20140709"
+DEPEND="${RDEPEND}"
+LLVM_MAX_SLOT=9
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
+
+# For now, we support amd64 multilib. Anyone is free to add more support here.
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+DLANG_VERSION_RANGE="2.068 2.071-"
+DLANG_PACKAGE_TYPE="single"
+
+inherit dlang
+
+detect_hardened() {
+	gcc --version | grep -o Hardened
+}
+
+src_prepare() {
+	cmake_src_prepare
+}
+
+d_src_configure() {
+	# Make sure libphobos2 is installed into ldc2's directory.
+	export LIBDIR_${ABI}="${LIBDIR_HOST}"
+	local mycmakeargs=(
+		-DD_VERSION=2
+		-DCMAKE_INSTALL_PREFIX=/usr/lib/ldc2/$(ver_cut 1-2)
+		-DD_COMPILER="${DMD}"
+		-DLDC_WITH_LLD=OFF
+	)
+	use static-libs && mycmakeargs+=( -DBUILD_SHARED_LIBS=BOTH ) || mycmakeargs+=( -DBUILD_SHARED_LIBS=ON )
+	use abi_x86_32 && use abi_x86_64 && mycmakeargs+=( -DMULTILIB=ON )
+	detect_hardened && mycmakeargs+=( -DADDITIONAL_DEFAULT_LDC_SWITCHES=', "-relocation-model=pic"' )
+	cmake_src_configure
+}
+
+d_src_install() {
+	cmake_src_install
+
+	rm -rf "${ED}"/usr/share/bash-completion
+}
+
+pkg_postinst() {
+	# Update active ldc2
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}
+
+pkg_postrm() {
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}

diff --git a/dev-lang/ldc2/ldc2-1.20.1-r1.ebuild b/dev-lang/ldc2/ldc2-1.20.1-r1.ebuild
new file mode 100644
index 0000000..c5db3f2
--- /dev/null
+++ b/dev-lang/ldc2/ldc2-1.20.1-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-build cmake llvm
+
+MY_PV="${PV//_/-}"
+MY_P="ldc-${MY_PV}-src"
+SRC_URI="https://github.com/ldc-developers/ldc/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="LLVM D Compiler"
+HOMEPAGE="https://ldc-developers.github.com/ldc"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
+
+IUSE="static-libs"
+
+# We support LLVM 3.9 through 10.
+RDEPEND="|| (
+		sys-devel/llvm:10
+		sys-devel/llvm:9
+	)
+	<sys-devel/llvm-11:=
+	>=app-eselect/eselect-dlang-20140709"
+DEPEND="${RDEPEND}"
+LLVM_MAX_SLOT=10
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
+
+# For now, we support amd64 multilib. Anyone is free to add more support here.
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+DLANG_VERSION_RANGE="2.075-"
+DLANG_PACKAGE_TYPE="single"
+
+inherit dlang
+
+detect_hardened() {
+	gcc --version | grep -o Hardened
+}
+
+src_prepare() {
+	cmake_src_prepare
+}
+
+d_src_configure() {
+	# Make sure libphobos2 is installed into ldc2's directory.
+	export LIBDIR_${ABI}="${LIBDIR_HOST}"
+	local mycmakeargs=(
+		-DD_VERSION=2
+		-DCMAKE_INSTALL_PREFIX=/usr/lib/ldc2/$(ver_cut 1-2)
+		-DD_COMPILER="${DMD}"
+		-DLDC_WITH_LLD=OFF
+	)
+	use static-libs && mycmakeargs+=( -DBUILD_SHARED_LIBS=BOTH ) || mycmakeargs+=( -DBUILD_SHARED_LIBS=ON )
+	use abi_x86_32 && use abi_x86_64 && mycmakeargs+=( -DMULTILIB=ON )
+	detect_hardened && mycmakeargs+=( -DADDITIONAL_DEFAULT_LDC_SWITCHES=', "-relocation-model=pic"' )
+	cmake_src_configure
+}
+
+d_src_install() {
+	cmake_src_install
+
+	rm -rf "${ED}"/usr/share/bash-completion
+}
+
+pkg_postinst() {
+	# Update active ldc2
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}
+
+pkg_postrm() {
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}

diff --git a/dev-lang/ldc2/ldc2-1.21.0-r1.ebuild b/dev-lang/ldc2/ldc2-1.21.0-r1.ebuild
new file mode 100644
index 0000000..c5db3f2
--- /dev/null
+++ b/dev-lang/ldc2/ldc2-1.21.0-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-build cmake llvm
+
+MY_PV="${PV//_/-}"
+MY_P="ldc-${MY_PV}-src"
+SRC_URI="https://github.com/ldc-developers/ldc/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="LLVM D Compiler"
+HOMEPAGE="https://ldc-developers.github.com/ldc"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+LICENSE="BSD"
+SLOT="$(ver_cut 1-2)/$(ver_cut 3)"
+
+IUSE="static-libs"
+
+# We support LLVM 3.9 through 10.
+RDEPEND="|| (
+		sys-devel/llvm:10
+		sys-devel/llvm:9
+	)
+	<sys-devel/llvm-11:=
+	>=app-eselect/eselect-dlang-20140709"
+DEPEND="${RDEPEND}"
+LLVM_MAX_SLOT=10
+PATCHES="${FILESDIR}/ldc2-1.15.0-link-defaultlib-shared.patch"
+
+# For now, we support amd64 multilib. Anyone is free to add more support here.
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+DLANG_VERSION_RANGE="2.075-"
+DLANG_PACKAGE_TYPE="single"
+
+inherit dlang
+
+detect_hardened() {
+	gcc --version | grep -o Hardened
+}
+
+src_prepare() {
+	cmake_src_prepare
+}
+
+d_src_configure() {
+	# Make sure libphobos2 is installed into ldc2's directory.
+	export LIBDIR_${ABI}="${LIBDIR_HOST}"
+	local mycmakeargs=(
+		-DD_VERSION=2
+		-DCMAKE_INSTALL_PREFIX=/usr/lib/ldc2/$(ver_cut 1-2)
+		-DD_COMPILER="${DMD}"
+		-DLDC_WITH_LLD=OFF
+	)
+	use static-libs && mycmakeargs+=( -DBUILD_SHARED_LIBS=BOTH ) || mycmakeargs+=( -DBUILD_SHARED_LIBS=ON )
+	use abi_x86_32 && use abi_x86_64 && mycmakeargs+=( -DMULTILIB=ON )
+	detect_hardened && mycmakeargs+=( -DADDITIONAL_DEFAULT_LDC_SWITCHES=', "-relocation-model=pic"' )
+	cmake_src_configure
+}
+
+d_src_install() {
+	cmake_src_install
+
+	rm -rf "${ED}"/usr/share/bash-completion
+}
+
+pkg_postinst() {
+	# Update active ldc2
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}
+
+pkg_postrm() {
+	"${ROOT}"/usr/bin/eselect dlang update ldc2
+}


             reply	other threads:[~2020-08-15  1:50 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-15  1:50 Marco Leise [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-13  9:49 [gentoo-commits] repo/user/dlang:master commit in: dev-lang/ldc2/ Horodniceanu Andrei
2024-09-13  9:49 Horodniceanu Andrei
2024-09-13  9:49 Horodniceanu Andrei
2024-09-13  9:49 Horodniceanu Andrei
2024-06-02  5:29 Horodniceanu Andrei
2024-05-30 17:28 Horodniceanu Andrei
2024-04-13 23:04 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-03-13 21:29 Horodniceanu Andrei
2024-01-24 20:25 Horodniceanu Andrei
2024-01-24 20:25 Horodniceanu Andrei
2024-01-14 10:38 Horodniceanu Andrei
2024-01-13 16:26 Horodniceanu Andrei
2024-01-04 14:04 Horodniceanu Andrei
2023-09-28  4:56 Marco Leise
2023-09-28  4:56 Marco Leise
2022-07-25 11:15 Marco Leise
2022-03-24 18:15 Marco Leise
2022-03-24 18:15 Marco Leise
2022-02-06 15:50 Marco Leise
2021-07-07 15:41 Marco Leise
2021-07-07 15:41 Marco Leise
2020-11-16  4:05 Marco Leise
2020-11-16  4:05 Marco Leise
2020-08-15  1:50 Marco Leise
2020-05-17 15:07 Marco Leise
2019-12-23 16:56 Marco Leise
2019-12-23 16:56 Marco Leise
2019-11-30 12:01 Marco Leise

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1597455274.97ad37cb061d6c879bcf49e2731cefce98bfe4ed.mleise@gentoo \
    --to=marco.leise@gmx.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox